# norootforbuild

%define _name			gstreamer
%define sysconfdir		/etc%{prefix}
%define _prefix			/usr
%define _bindir			%{_prefix}/bin
%define _mandir			%{_prefix}/share/man
%define _infodir		%{_prefix}/share/info
%define _sysconfdir		/etc%{_prefix}
%define _localstatedir	/var%{_prefix}
%define _libdir			%{_prefix}/%_lib
%define _includedir		%{_prefix}/include
%define gst_branch		0.10

Name:			gstreamer-0_10
License:		LGPL
Group:			System/Libraries
Version:		0.10.21
Release:		45.5
Summary:		Streaming-Media Framework Runtime
Source:			http://gstreamer.freedesktop.org/src/gstreamer/%{_name}-%{version}.tar.bz2
Patch:			gstreamer-0_10-protect-caps-bnc439323.patch
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
PreReq:			filesystem /sbin/ldconfig
BuildRequires:	bison
BuildRequires:	check-devel
BuildRequires:	docbook-toys
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	gtkdoc
BuildRequires:	hpijs-standalone
BuildRequires:	indent
BuildRequires:	libgnomeui-devel
BuildRequires:	libstdc++-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	pyxml
BuildRequires:  texlive-latex
BuildRequires:	xfig
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
Requires:       gstreamer-0_10-lang = %{version}
# Core modules may depend on new enough libraries:
Requires:		libgstreamer-0_10-0 >= %{version}
# Name up to 10.3:
Provides:		gstreamer010 = 0.10.19
Obsoletes:		gstreamer010 <= 0.10.19

BuildRequires:	liboil-0_3-0

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package -n libgstreamer-0_10-0
Summary:	Shared libraries for gstreamer010
Group:		System/Libraries
Provides:	libgstreamer-0_10 = 0.10.20
Obsoletes:	libgstreamer-0_10 <= 0.10.20

%description -n libgstreamer-0_10-0
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package contains the shared libraries for gstreamer010.

%package -n gstreamer-0_10-devel
Summary:	Include Files and Libraries mandatory for Development.
Group:		Development/Libraries/GNOME
# We want to have core modules installed:
Requires:	gstreamer-0_10 = %{version}
Requires:	check
Requires:	glib2-devel
Requires:	libxml2-devel
Requires:	popt-devel
# Name up to 10.3:
Provides:	gstreamer010-devel = %{version}
Obsoletes:	gstreamer010-devel <= %{version}

%description -n gstreamer-0_10-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package -n gstreamer-0_10-utils
Summary:	Streaming-Media Framework Runtime
Group:		Productivity/Multimedia/Other
# Name up to 10.3:
Provides:	gstreamer010:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Symbol for unversioned wrappers:
Provides:	gstreamer-utils_versioned

%description -n gstreamer-0_10-utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package -n gstreamer-utils
Summary:	Streaming-Media Framework Runtime
Group:		Productivity/Multimedia/Other
# Name up to 10.3:
Provides:	gstreamer010:%{_bindir}/gst-launch = %{version}
# At least one versioned package has to be present:
Requires:	gstreamer-utils_versioned

%description -n gstreamer-utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package -n gstreamer-0_10-doc
Summary:	Streaming-Media Framework Runtime: Documentation for Developers
Group:		Documentation/Other
Requires:	gstreamer-0_10 = %{version} 
# Name up to 10.3:
Provides:	gstreamer010-doc = %{version}
Obsoletes:	gstreamer010-doc <= %{version}

%description -n gstreamer-0_10-doc
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%lang_package
%debug_package

%prep
%setup -q -n %{_name}-%{version}
%patch
%{?suse_update_config:%{suse_update_config -f}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
NOCONFIGURE=1 ./autogen.sh

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--enable-gtk-doc \
	--enable-docbook \
	--enable-tests \
	--with-default-audiosink=autoaudiosink

%if 0%{?suse_version} <= 1030
# we have no gtkdoc-rebase ..
%__sed -i -e 's|gtkdoc-rebase|true|g' \
	docs/gst/Makefile
%__sed -i -e 's|gtkdoc-rebase|true|g' \
	docs/libs/Makefile
%endif

%__make 
#%{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-*/*.*a
gzip -9nf %{buildroot}%{_prefix}/share/man/man?/*.?

%find_lang gstreamer-%{gst_branch}

%__install -dm 755 %{buildroot}%{_docdir}/%{name}
%__cp AUTHORS COPYING ChangeLog NEWS README RELEASE TODO \
	%{buildroot}%{_docdir}/%{name}
%__mv %{buildroot}%{_datadir}/doc/gstreamer-*/* \
	%{buildroot}%{_docdir}/%{name}
	
%__rm -rf %{buildroot}%{_datadir}/doc/gstreamer-*

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libgstreamer-0_10-0 -p /sbin/ldconfig

%postun -n libgstreamer-0_10-0 -p /sbin/ldconfig

%files -n gstreamer-0_10
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/RELEASE
%doc %{_docdir}/%{name}/TODO
%doc %{_docdir}/%{name}/faq
%dir %{_prefix}/%{_lib}/gstreamer-%{gst_branch}
%{_prefix}/%{_lib}/gstreamer-%{gst_branch}/*.so

%files -n libgstreamer-0_10-0
%defattr(-, root, root)
%{_prefix}/%{_lib}/lib*.so.*

%files -n gstreamer-0_10-devel
%defattr(-, root, root)
%{_prefix}/include/*
%{_prefix}/%{_lib}/lib*.*a
%{_prefix}/%{_lib}/lib*.so
%{_prefix}/%{_lib}/pkgconfig/*.pc
%{_prefix}/share/aclocal/*.m4

%files -n gstreamer-0_10-utils
%defattr(-, root, root)
%{_bindir}/*-%{gst_branch}
%doc %{_mandir}/man?/*-%{gst_branch}.*

%files -n gstreamer-utils
%defattr(-, root, root)
%exclude %{_bindir}/*-%{gst_branch}
%{_bindir}/*

%files -n gstreamer-0_10-doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/pwg
%{_prefix}/share/gtk-doc/html/*

%files lang -f %{_name}-%{gst_branch}.lang

%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 0.10.21
- initial import
